Package commoble.morered.client

# Class SolderingScreen.RecipeButton

java.lang.Object
net.minecraft.client.gui.components.AbstractWidget
net.minecraft.client.gui.components.AbstractButton
net.minecraft.client.gui.components.Button
net.neoforged.neoforge.client.gui.widget.ExtendedButton
commoble.morered.client.SolderingScreen.RecipeButton

All Implemented Interfaces:
  `net.minecraft.client.gui.components.events.GuiEventListener`, `net.minecraft.client.gui.components.Renderable`, `net.minecraft.client.gui.components.TabOrderedElement`, `net.minecraft.client.gui.layouts.LayoutElement`, `net.minecraft.client.gui.narration.NarratableEntry`, `net.minecraft.client.gui.narration.NarrationSupplier`, `net.neoforged.neoforge.client.extensions.IAbstractWidgetExtension`

Enclosing class:
  `SolderingScreen`

public static class SolderingScreen.RecipeButton extends net.neoforged.neoforge.client.gui.widget.ExtendedButton

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.client.gui.components.Button

`net.minecraft.client.gui.components.Button.Builder, net.minecraft.client.gui.components.Button.CreateNarration, net.minecraft.client.gui.components.Button.OnPress`

## Nested classes/interfaces inherited from interface net.minecraft.client.gui.narration.NarratableEntry

`net.minecraft.client.gui.narration.NarratableEntry.NarrationPriority`

## Field Summary

Fields
Modifier and Type
Field
Description
`net.minecraft.world.item.ItemStack`
`tooltipItem`

### Fields inherited from class net.minecraft.client.gui.components.Button

`BIG_WIDTH, createNarration, DEFAULT_HEIGHT, DEFAULT_NARRATION, DEFAULT_SPACING, DEFAULT_WIDTH, onPress, SMALL_WIDTH`

### Fields inherited from class net.minecraft.client.gui.components.AbstractButton

`SPRITES, TEXT_MARGIN`

### Fields inherited from class net.minecraft.client.gui.components.AbstractWidget

`active, alpha, height, isHovered, packedFGColor, UNSET_FG_COLOR, visible, width`

### Fields inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`DOUBLE_CLICK_THRESHOLD_MS`

## Constructor Summary

Constructors
Constructor
Description
`RecipeButton(SolderingScreen screen, net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe> recipe, int x, int y, int width)`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getHeightForRecipe(SolderingRecipe recipe)`
`static net.minecraft.world.item.ItemStack`
`getIngredientVariant(net.minecraft.world.item.ItemStack[] variants)`
`boolean`
`mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)`
`static void`
`onButtonClicked(SolderingMenu container, net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe> recipe)`
`void`
`onClickButton()`
`void`
`renderWidget(net.minecraft.client.gui.GuiGraphics graphics, int mouseX, int mouseY, float partial)`
Draws this button to the screen.
`void`
`scrollButton(int currentScrollAmount)`

### Methods inherited from class net.minecraft.client.gui.components.Button

`builder, createNarrationMessage, onPress, updateWidgetNarration`

### Methods inherited from class net.minecraft.client.gui.components.AbstractButton

`keyPressed, onClick, renderString`

### Methods inherited from class net.minecraft.client.gui.components.AbstractWidget

`clearFGColor, clicked, defaultButtonNarrationText, getBottom, getFGColor, getHeight, getMessage, getRectangle, getRight, getTabOrderGroup, getTooltip, getWidth, getX, getY, isActive, isFocused, isHovered, isHoveredOrFocused, isMouseOver, isValidClickButton, mouseClicked, mouseReleased, narrationPriority, nextFocusPath, onDrag, onRelease, playDownSound, render, renderScrollingString, renderScrollingString, renderScrollingString, setAlpha, setFGColor, setFocused, setHeight, setMessage, setRectangle, setSize, setTabOrderGroup, setTooltip, setTooltipDelay, setWidth, setX, setY, updateNarration, visitWidgets, wrapDefaultNarrationMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`charTyped, getCurrentFocusPath, keyReleased, mouseMoved, mouseScrolled`

### Methods inherited from interface net.neoforged.neoforge.client.extensions.IAbstractWidgetExtension

`onClick`

### Methods inherited from interface net.minecraft.client.gui.layouts.LayoutElement

`setPosition`

## Field Details

### tooltipItem

public net.minecraft.world.item.ItemStack tooltipItem

## Constructor Details

### RecipeButton

public RecipeButton(SolderingScreen screen, net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe> recipe, int x, int y, int width)

## Method Details

### onButtonClicked

public static void onButtonClicked(SolderingMenu container, net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe> recipe)

### getHeightForRecipe

public static int getHeightForRecipe(SolderingRecipe recipe)

### mouseDragged

public boolean mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)

Specified by:
  `mouseDragged` in interface `net.minecraft.client.gui.components.events.GuiEventListener`
Overrides:
  `mouseDragged` in class `net.minecraft.client.gui.components.AbstractWidget`

### renderWidget

public void renderWidget(net.minecraft.client.gui.GuiGraphics graphics, int mouseX, int mouseY, float partial)
Draws this button to the screen.

Overrides:
  `renderWidget` in class `net.neoforged.neoforge.client.gui.widget.ExtendedButton`

### getIngredientVariant

public static net.minecraft.world.item.ItemStack getIngredientVariant(net.minecraft.world.item.ItemStack[] variants)

### scrollButton

public void scrollButton(int currentScrollAmount)

### onClickButton

public void onClickButton()